
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>自定义控件pickView / 憋错料</title>

    <meta name="description" content="自定义控件pickView package com.example.healthembed.util; import java.util.ArrayList; import java.util.List; import java.util.Timer; import java.util.TimerTask; import android.content.Context; import android.graphics.Canvas; import android.graphics.Paint; import android">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">自定义控件pickView</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<pre>package com.example.healthembed.util;

import java.util.ArrayList;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Align;
import android.graphics.Paint.FontMetricsInt;
import android.graphics.Paint.Style;
import android.os.Handler;
import android.os.Message;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;

/**
 * 滚动选择器
 *
 * @author chenjing
 *
 */
public class PickerView extends View
{

    public static final String TAG = "PickerView";
    /**
     * text之间间距和minTextSize之比
     */
    public static final float MARGIN_ALPHA = 2.8f;
    /**
     * 自动回滚到中间的速度
     */
    public static final float SPEED = 2;

    private List&lt;String&gt; mDataList;
    /**
     * 选中的位置，这个位置是mDataList的中心位置，一直不变
     */
    private int mCurrentSelected;
    private Paint mPaint;

    private float mMaxTextSize = 80;
    private float mMinTextSize = 40;

    private float mMaxTextAlpha = 255;
    private float mMinTextAlpha = 120;

    private int mColorText = 0x333333;

    private int mViewHeight;
    private int mViewWidth;

    private float mLastDownY;
    /**
     * 滑动的距离
     */
    private float mMoveLen = 0;
    private boolean isInit = false;
    private onSelectListener mSelectListener;
    private Timer timer;
    private MyTimerTask mTask;

    Handler updateHandler = new Handler()
    {

        @Override
        public void handleMessage(Message msg)
        {
            if (Math.abs(mMoveLen) &lt; SPEED)
            {
                mMoveLen = 0;
                if (mTask != null)
                {
                    mTask.cancel();
                    mTask = null;
                    performSelect();
                }
            } else
            {
                // 这里mMoveLen / Math.abs(mMoveLen)是为了保有mMoveLen的正负号，以实现上滚或下滚
                mMoveLen = mMoveLen - mMoveLen / Math.abs(mMoveLen) * SPEED;
            }

            invalidate();//重绘
        }

    };

    public PickerView(Context context)
    {
        super(context);
        init();
    }

    public PickerView(Context context, AttributeSet attrs)
    {
        super(context, attrs);
        init();
    }

    public void setOnSelectListener(onSelectListener listener)
    {
        mSelectListener = listener;
    }

    private void performSelect()
    {
        if (mSelectListener != null)
            mSelectListener.onSelect(mDataList.get(mCurrentSelected));
        //选中的位置，这个位置是mDataList的中心位置，一直不变
    }

    public void setData(List&lt;String&gt; datas)
    {
        mDataList = datas;
        mCurrentSelected = datas.size() / 2;
        invalidate();
    }

    public void setSelected(int selected)
    {
        mCurrentSelected = selected;
    }

    private void moveHeadToTail()
    {
        String head = mDataList.get(0);
        mDataList.remove(0);
        mDataList.add(head);
    }

    private void moveTailToHead()
    {
        String tail = mDataList.get(mDataList.size() - 1);
        mDataList.remove(mDataList.size() - 1);
        mDataList.add(0, tail);
        //Inserts the specified element at the specified position in this list (optional operation)
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec)
    {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        mViewHeight = getMeasuredHeight();
        Log.e(TAG,String.valueOf(mViewHeight));
        mViewWidth = getMeasuredWidth();
        Log.e(TAG,String.valueOf(mViewWidth));
        // 按照View的高度计算字体大小
        mMaxTextSize = mViewWidth / 9.0f;
        mMinTextSize = mMaxTextSize / 2f;
        isInit = true;
        invalidate();//调用invalidate()方法，请求重新draw()
    }

    private void init()
    {
        timer = new Timer();
        mDataList = new ArrayList&lt;String&gt;();
        mPaint = new Paint(Paint.ANTI_ALIAS_FLAG);//抗锯齿
        mPaint.setStyle(Style.FILL);
        mPaint.setTextAlign(Align.CENTER);//设置绘制文字的对齐方向
        mPaint.setColor(mColorText);
    }
     public void initDataHigh() {

        for(int j = 0; j&lt;35; j++) {
            moveTailToHead();
        }

    }

    public void initDataLow() {

        for(int j = 0; j&lt;50; j++) {
            moveTailToHead();
        }

    }

    @Override
    protected void onDraw(Canvas canvas)
    {
        super.onDraw(canvas);
        // 根据index绘制view
        if (isInit)
            drawData(canvas);
    }

    private void drawData(Canvas canvas)
    {
        // 先绘制选中的text再往上往下绘制其余的text
        float scale = parabola(mViewHeight / 4.0f, mMoveLen);
        float size = (mMaxTextSize - mMinTextSize) * scale + mMinTextSize;
        mPaint.setTextSize(size);
        mPaint.setAlpha((int) ((mMaxTextAlpha - mMinTextAlpha) * scale + mMinTextAlpha));
        // text居中绘制，注意baseline的计算才能达到居中，y值是text中心坐标
    /*    float x = (float) (mViewWidth / 2.0);
        float y = (float) (mViewHeight / 2.0 + mMoveLen);
        FontMetricsInt fmi = mPaint.getFontMetricsInt();
        float baseline = (float) (y - (fmi.bottom / 2.0 + fmi.top / 2.0));
*/

        float x = (float) (mViewWidth / 2.0+ mMoveLen);
        float y = (float) (mViewHeight / 2.0 );
        FontMetricsInt fmi = mPaint.getFontMetricsInt();
        float baseline = (float) (x - (fmi.bottom+fmi.descent)/2);
        canvas.drawText(mDataList.get(mCurrentSelected), baseline, y, mPaint);
        // 绘制上方data
        for (int i = 1; (mCurrentSelected - i) &gt;= 0; i++)
        {
            drawOtherText(canvas, i, -1);
            Log.e(TAG,String.valueOf(mCurrentSelected));
        }
        // 绘制下方data
        for (int i = 1; (mCurrentSelected + i) &lt; mDataList.size(); i++)
        {
            drawOtherText(canvas, i, 1);
        }

    }

    /**
     * @param canvas
     * @param position
     *            距离mCurrentSelected的差值
     * @param type
     *            1表示向下绘制，-1表示向上绘制
     */
    private void drawOtherText(Canvas canvas, int position, int type)
    {
        float d = (float) (MARGIN_ALPHA * mMinTextSize * position + type
                * mMoveLen);
        float scale = parabola(mViewHeight / 4.0f, d);
        float size = (mMaxTextSize - mMinTextSize) * scale + mMinTextSize;
        mPaint.setTextSize(size);
        mPaint.setAlpha((int) ((mMaxTextAlpha - mMinTextAlpha) * scale + mMinTextAlpha));
        /*float y = (float) (mViewHeight / 2.0 + type * d);*/
        float x = (float) (mViewWidth/ 2.0 + type * d);
        FontMetricsInt fmi = mPaint.getFontMetricsInt();
        float baseline = (float) (x - (fmi.bottom+fmi.descent));
        canvas.drawText(mDataList.get(mCurrentSelected + type * position),
                baseline,(float) (mViewHeight / 2.0),  mPaint);
    }

    /**
     * 抛物线
     *
     * @param zero
     *            零点坐标
     * @param x
     *            偏移量
     * @return scale
     */
    private float parabola(float zero, float x)
    {
        float f = (float) (1 - Math.pow(x / zero, 2));//x的y次方
        return f &lt; 0 ? 0 : f;
    }

    @Override
    public boolean onTouchEvent(MotionEvent event)
    {
        switch (event.getActionMasked())
        {
        case MotionEvent.ACTION_DOWN://表示用户开始触摸
            doDown(event);
            break;
        case MotionEvent.ACTION_MOVE:
            doMove(event);
            break;
        case MotionEvent.ACTION_UP://表示用户抬起了手指
            doUp(event);
            break;
        }
        return true;
    }

    private void doDown(MotionEvent event)
    {
        if (mTask != null)
        {
            mTask.cancel();
            mTask = null;
        }
        mLastDownY = event.getX();
    }

    private void doMove(MotionEvent event)
    {

        mMoveLen += (event.getX() - mLastDownY);

        //mMoveLen为正为向下滑
        if (mMoveLen &gt; MARGIN_ALPHA * mMinTextSize / 2)
        {
            // 往下滑超过离开距离
            moveTailToHead();
            mMoveLen = mMoveLen - MARGIN_ALPHA * mMinTextSize;
        } else if (mMoveLen &lt; -MARGIN_ALPHA * mMinTextSize / 2)
        {
            // 往上滑超过离开距离
            moveHeadToTail();
            mMoveLen = mMoveLen + MARGIN_ALPHA * mMinTextSize;
        }

        mLastDownY = event.getX();
        invalidate();
    }

    /*
        task - task to be scheduled.
        firstTime - First time at which task is to be executed.
        period - time in milliseconds between successive task executions.
    */
    private void doUp(MotionEvent event)
    {
        // 抬起手后mCurrentSelected的位置由当前位置move到中间选中位置
        if (Math.abs(mMoveLen) &lt; 0.0001)
        {
            mMoveLen = 0;
            return;
        }
        if (mTask != null)
        {
            mTask.cancel();
            mTask = null;
        }
        mTask = new MyTimerTask(updateHandler);
        timer.schedule(mTask, 0, 1000);
        //第三个参数,第一次调用之后，从第二次开始每隔多长的时间调用一次 run() 方法
    }

    class MyTimerTask extends TimerTask
    {
        Handler handler;

        public MyTimerTask(Handler handler)
        {
            this.handler = handler;
        }

        @Override
        public void run()
        {
            handler.sendMessage(handler.obtainMessage());
        }

    }

    public interface onSelectListener
    {
        void onSelect(String text);
    }
}</pre>
<p><strong>难点1：</strong></p>
<p>字体随距离的渐变。可以看到，text随离中心位置的距离变化而变化，这里变化的是透明度alpha和字体大小TexSize，这两个值我都设置了Max和Min值，通过其与中心点的距离计算scale。</p>
<p><strong>难点2：</strong></p>
<p>循环滚动。为了解决循环滚动的问题我把存放text的List从中间往上下摊开，通过不断地moveHeadToTail和moveTailToHead使选中的text始终是list的中间position的值。</p>
<p>效果图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nMjAxNS82Nzk1NzgvMjAxNTA0LzI2MTk0NDI2NDMxNjM5Ni5wbmc=.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 22:22:05 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>自定义控件pickView的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMmGmQ3.html" rel="bookmark">winform 自定义控件的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c#的自定义控件还是很方便的,至少相对于c++而言. 1,当然是建立一个windows 窗体空间库,我这里就是用vs 2015 ,工程名MyControl 第二步.在自定义空间窗体内,拖放这样一组空间.我们发送编辑框的内容给父窗体,然后接受父窗体的发送的内容,显示到listbox 中. 这里会看到我使用了委托和事件,其实,刚入门的我,对于c#里的委托和事件 理解的并不深刻.看到很多地方再用.感觉和c++ 的回调很相似.这里就不纠结了, 后面慢慢理解吧.我们通过委托将子窗体的内容发送到主窗体. n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMy5QVM.html" rel="bookmark">WPF自定义控件与样式&lpar;11&rpar;-等待&sol;忙&sol;正在加载状态-控件实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一．前言 申明:WPF自定义控件与样式是一个系列文章,前后是有些关联的,但大多是按照由简到繁的顺序逐步发布的等,若有不明白的地方可以参考本系列前面的文章,文末附有部分文章链接. 本文主要有三种实现方式: 简单忙碌状态控件BusyBox: Win8/win10效果忙碌状态控件ProgressRing: 弹出异步等待框WaitingBox: 二．简单忙碌状态控件BusyBox 效果图: 通过属性&quot;IsActive&quot;控制控件是否启用,后台C#代码: /// &lt;summary&gt; /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMoGelM.html" rel="bookmark">自定义控件和使用的两种基本方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时需要一些组合起来的功能性强的控件,为了以后复用简单,还是自己自定义比较方便. 这里以一个自定义的导航栏为例子,在MainActivity里面使用这个控件. 方法一: 设计并编写自定义控件的布局文件,然后在其他布局文件中include. title的布局文件 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMyKBA3.html" rel="bookmark">自定义控件学习&mdash;&mdash;防qq侧滑栏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果 主要步骤: 1. 在xml布局里摆放内容. include    2. 在自定义ViewGroup里, 进行measure测量, layout布局    3. 响应用户的触摸事件    4. int scrollX = (int) (downX - moveX);    5. getScrollX()获取当前滚动到的位置    6. 平滑动画 先看布局 layout_left &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3rvdw3.html" rel="bookmark">手机卫士11&lowbar; 自定义控件&lowbar;缓存清理&lowbar;病毒库更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				拷贝安卓源码中的逻辑,可以考虑先创建一个小项目实现以下效果 1,病毒数据库的自动更新(连接网络,然后获取特征码保存到数据库?) ①工程师发现病毒apk,获取到它的特征码发布到服务器上 通过 MD5 或者ASH1获取特征码 ②客户端杀毒软件下载特征码(可能是 JSON串)到本地客户端 (在打开软件的时候还是打开查杀界面的时候?其实都不适合,应该开启一个服务去定期更新数据库,访问病毒更新特征码地址) 定期更新,timer和timertask,一般一个小时更新一次(测试的时候写短一点) 连接服务器:U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4pQVgM.html" rel="bookmark">自定义控件一般步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义组合控件的过程 1.自定义一个View 一般来说,继承相对布局,或者线性布局  ViewGroup:   2.实现父类的构造方法.一般来说,需要在构造方法里初始化自定义的布局文件:    3.根据一些需要或者需求,定义一些API方法: ----------------------------------   4.根据需要,自定义控件的属性,可以参照TextView属性: 5.自定义命名空间,例如: 使用eclipse需添加如下命名空间     xmlns:自定义名称=http://sche			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0newxM.html" rel="bookmark">iOS 自定义控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于UIToolbar,UINavigationController,UINavigationBar,UIBarButtonItem在ios7的使用的简单的介绍,经过搜索资料做了如下的一些汇集 ----------------------------UIBarButtonItem---------------------------- 1:  UIBarButtonItem 隐藏的方式 [self.btnPunctuation setWidth:0]; 2:  UIBarButtonItem 获			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4pGdy3.html" rel="bookmark">Vs自定义控件设计第一例（直线控件的设计）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 一. 杨老师是个热情的人 二. 开始喽 三. 还需要些解释什么吗 四. OK了吗 五.最终代码 一.杨老师是个热情的人 我们的项目开源有一段时间了,我一直以为我有一个很不错的胸怀把自己花了很多精力做出来的项目贡献出来了,我以为同学们会很开心,会像“一个饥饿的人看到面包”一样的扑到了我的项目代码上面快乐的研究起来,但是事实上我们的群里面却异常的冷清.我想应该是大家都还在研究代码来不及说话或者是不爱说话吧,直到今天杨老师给我打电话,说了一些情况,似乎是说大家还不太懂数据库等等,我才知道是我错了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r0avgP3.html" rel="bookmark">Web用户自定义控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在新建项的时候,选择Web用户控件,可用来自定义自己的控件,做好后,直接拖到页面即可使用自定义控件与WEB交互,需要在 自定义控件里面 写 属性,如: public string CityID { get { return this.DropDownList1.SelectedValue; } set{ this.DropDownList1.SelectedValue = value;} } 在外面调用的时候如下即可: Label1.Text = this.City1.CityID; 自定义样式			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmL5K4.html" rel="bookmark" class="title">String&period;format&lpar;&rpar;方法使用说明</a>
					<div>
						JDK1.5开始String类中提供了一个非常有用的方法String.format(String format, Object ... args) 查看源码得知其实是调用了Java.util.Form ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138XNK3.html" rel="bookmark" class="title">第12课：Spark Streaming源码解读之Executor容错安全性</a>
					<div>
						一.Spark Streaming 数据安全性的考虑: Spark Streaming不断的接收数据,并且不断的产生Job,不断的提交Job给集群运行.所以这就涉及到一个非常重要的问题数据安全性. S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1bjxM.html" rel="bookmark" class="title">nsswitch之基本原理及getent命令</a>
					<div>
						Authentication(认证)    用户的用户名和密码是否能通过检验. Authorizantion(授权)    用户是否被允许访问服务或资源. 应用程序的名称解析流程:    应用程序   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xQxQj3.html" rel="bookmark" class="title">《C专家编程》读书记录</a>
					<div>
						其实,这本书适合没事的时候翻翻,随便打开哪一页,应该都可以看下去的.总体来说,写的比较欢脱,不像&lt;C和指针&gt;和&lt;C陷阱和缺陷&gt;的章节标题那么严肃,有时候还以为自己在看科技杂志. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5Nyz3.html" rel="bookmark" class="title">linux ip</a>
					<div>
						  鸟哥自由软件整合应用研究室  Love U ^^ Linux 常用网络命令介绍 最近升级日期:2006/08/02 Linux 的网络功能相当的强悍,一时之间我们也无法完全的介绍所有的网络命令,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLvYL0.html" rel="bookmark" class="title">centos 7&period;3 LVS的NAT模式负载均衡实操</a>
					<div>
						一.LB集群原理 1.实现手段 硬件:F5负载均衡器 软件:LVS(4层,网络层),Nginx(7层,应用层) 2.负载均衡架构图 说明: LVS集群使用三层架构 第一层:负载均衡层(Load Bal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrLJL4.html" rel="bookmark" class="title">关于微信小程序的一些思考</a>
					<div>
						### 怎么样理解小程序? * 微信的重点产品* 一个事实OS,目前并不知道小程序的入口在哪里?* 小程序的入口可能在如下三个地方: 1. 发现入口 2. 扫码 3. 搜索框 * 小程序没有关注, 意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bQPV4.html" rel="bookmark" class="title">学习软件工程后的疑问</a>
					<div>
						1.首先从头开始编写一个APP肯定是极其困难的,我觉得找到框架之后进行应用然后编写可以缩短我们的工作时间也能更加符合今后工作上的任务.因此我想问的是,如何更好的找到可以使用的源代码并加以改进呢? 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYEqy3.html" rel="bookmark" class="title">ubuntu 15&period;10安装并配置samba</a>
					<div>
						1.安装samba apt-get install samba 2.vim /etc/samba/smb.conf 紧随workgroup = WORKGROUP,添加 security = user ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02meqDM.html" rel="bookmark" class="title">&lbrack;sql server&rsqb; 如何阻止SELECT &ast; 语句</a>
					<div>
						我们每个人都知道是个不好的做法,但有时我们还是要这样做:我们执行SELECT * 语句.这个方法有很多弊端: 你从你的表里返回每个列,甚至后期加的列.想下如果你的查询里将来加上了VARCHAR(MAX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qoJYWM.html" rel="bookmark" class="title">802&period;</a>
					<div>
						视频教程 http://v.youku.com/v_show/id_XNjgyODA0NzE2.html?from=s1.8-1-1.2 干线 总线+环形网的传递机制 环形令牌总线 802.4 					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7gXX3.html" rel="bookmark" class="title">企业版Oracle10g的安装-过程</a>
					<div>
						ylbtech-Oracle:企业版Oracle10g的安装-过程 1. 安装方法 返回顶部 1.1, 1.2, 1.3, 1.4, 1.5, 检查警告 正在检查操作系统要求...要求的结果: 5.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDobpe4.html" rel="bookmark" class="title">第一次作业  林宏璘 2013551601</a>
					<div>
						3.  上网调查一下目前流行的源程序版本管理软件和项目管理软件都有哪些, 各有什么优缺点? (提示:搜索一下Microsoft TFS.GitHub.Trac.Bugzilla.Rationale,A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aOzaq4.html" rel="bookmark" class="title">ufldl学习笔记与编程作业：Vectorization（向量化&sol;矢量化）</a>
					<div>
						ufldl出了新教程,感觉比之前的好,从基础讲起,系统清晰,又有编程实践. 在deep learning高质量群里面听一些前辈说,不必深究其他机器学习的算法,可以直接来学dl. 于是最近就开始搞这个了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrww74.html" rel="bookmark" class="title">sharepoint 使用gantt view时报错</a>
					<div>
						原因:发现在gantt view中有Person or Group 的column,如果在Allow multiple selections: 设置为yes时,保存视图出错. 将该选项选为no,问题解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEyop0.html" rel="bookmark" class="title">硬盘注册码</a>
					<div>
						改变窗口大小事件 Private Sub Form_Resize()   硬盘注册代码 Private Sub Command1_Click()     Set FSO = CreateObject( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbPE73.html" rel="bookmark" class="title">登陆框跳出的遮罩层效果实现</a>
					<div>
						通过元素节点的创建.删除等操作实现的弹出框遮罩层效果 &lt;style&gt; #oMask{ opacity: 0.7; filter:alpha(opacity=70); position: a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRBGz4.html" rel="bookmark" class="title">Socket网络编程--聊天程序&lpar;6&rpar;</a>
					<div>
						这一小节将增加一个用户的结构体,用于保存用户的用户名和密码,然后发给服务器,然后在服务器进行判断验证.这里就有一个问题,以前讲的就是发送字符串是使用char类型进行传输,然后在服务器进行用同样是字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNLdR0.html" rel="bookmark" class="title">【渗透攻防】深入了解Windows</a>
					<div>
						前言 本篇是基础教程,带大家了解Windows常用用户及用户组,本地提取用户密码,远程利用Hash登录到本地破解Hash.初步掌握Windows基础安全知识. 目录 第一节 初识Windows 第二节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1vgB3.html" rel="bookmark" class="title">金融行业的BI应用分析</a>
					<div>
						商业智能是一种提高企业智能化的手段,它可以满足企业发展的需要.提高企业的竞争力.同时,对于提高金融行业的风险管理.提升对外服务的质量都能够起到关键性的作用. 在市场竞争和银行业务转型期间,商业智能对于 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
